dubbo:
  application:
    name: search-service
    qos-enable: true
    qos-port: 16107
    qos-accept-foreign-ip: false
  scan:
    base-packages: cn.reghao.tnb.search.app.rpc
  protocol:
    name: dubbo
#    host: 192.168.0.210
    port: 6107
  registry:
    group: dubbo
    address: zookeeper://192.168.0.209:2181
server:
  port: 6006
spring:
  mvc:
    pathmatch:
      matching-strategy: ant_path_matcher
  datasource:
    driver-class-name: com.mysql.cj.jdbc.Driver
    type: com.zaxxer.hikari.HikariDataSource
    hikari:
      minimum-idle: 5
      maximum-pool-size: 10
      auto-commit: true
      idle-timeout: 30000
      pool-name: EvaluationHikariCP
      max-lifetime: 1800000
      connection-timeout: 30000
      connection-test-query: SELECT 1
    url: jdbc:mysql://192.168.0.209/tnb_content_tdb?useSSL=false&useUnicode=true&characterEncoding=UTF-8&serverTimezone=GMT%2b8
    username: test
    password: Test_123456
  jpa:
    show-sql: false
    open-in-view: true
    hibernate:
      ddl-auto: update
    properties:
      hibernate.format_sql: true
      hibernate.naming.physical-strategy: org.hibernate.scripts.model.naming.PhysicalNamingStrategyStandardImpl
      hibernate.cache.use_second_level_cache: false
      hibernate.search.backend.directory.type: local-filesystem
      hibernate.search.backend.directory.root: ${app.base-dir}/${app.hibernate-lucene-dirname}
      hibernate.search.backend.analysis.configurer: class:cn.reghao.tnb.search.app.config.MyLuceneAnalysisConfigurer
  cloud:
    discovery:
      enabled: true
    nacos:
      discovery:
        server-addr: 192.168.0.209:8848
        username: nacos
        password: Test_123456
  data:
    mongodb:
      host: 192.168.0.209
      database: "tnb_content_tdb"
      authentication-database: admin
      username: test
      password: Test_123456
    redis:
      database: 0
      host: 192.168.0.209
      port: 6379
      password: Test_123456
  rabbitmq:
    host: 192.168.0.209
    port: 5672
    virtual-host: /
    username: test
    password: Test_123456
app:
  es-host: 192.168.0.81
  es-port: 9200
  es-username: elastic
  es-password: VLTtN03SSJ4lsyyg56kf
  kafka-uri: 192.168.0.81:9092
  kafka-topic: NginxLog
  base-dir: /opt/data/search_data
  native-lucene-dirname: native_lucene
  hibernate-lucene-dirname: hibernate_lucene
  geoip-filename: qqwry.dat
  geojson-filename: china1.json